Bug 730480 - [abrt] java-1.6.0-openjdk-1.6.0.0-59.1.10.3.fc15: __GI_raise: Process /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.6.0-openjdk-1.6.0.0-59.1.10.3.fc15: __GI_raise: Process /usr/li...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:06d6fc6dbe1016dce712163f9cc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-13 10:55 EDT by Germano Massullo
Modified: 2014-06-16 09:49 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 04:16:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (56.13 KB, text/plain)
2011-08-13 10:55 EDT, Germano Massullo
no flags Details
File: dso_list (24.10 KB, text/plain)
2011-08-13 10:55 EDT, Germano Massullo
no flags Details
File: backtrace (126.65 KB, text/plain)
2011-08-13 10:56 EDT, Germano Massullo
no flags Details
hs_err log with info about bug (96.05 KB, text/x-log)
2011-09-26 18:58 EDT, Marek Michał Mazur
dbhole: review-
Details

  None (edit)
Description Germano Massullo 2011-08-13 10:55:51 EDT
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 3
cmdline:        /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar -os linux -ws gtk -arch x86_64 -showsplash -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.2.R36x_v20101019_1345/eclipse_1312.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar -exitdata 68003 -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.1.1.R36x_v20101122_1400.jar
comment:        I was importing some files in Eclipse
component:      java-1.6.0-openjdk
crash_function: __GI_raise
executable:     /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        java-1.6.0-openjdk-1.6.0.0-59.1.10.3.fc15
reason:         Process /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
time:           Sat Aug 13 16:31:00 2011
uid:            500
username:       caterpillar
var_log_messages: Aug 13 16:31:12 Magic-4 abrt[5581]: saved core dump of pid 3190 (/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java) to /var/spool/abrt/ccpp-2011-08-13-16:31:00-3190.new/coredump (701251584 bytes)

backtrace:      Text file, 129690 bytes
dso_list:       Text file, 24680 bytes
maps:           Text file, 57476 bytes

environ:
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1745
:HOSTNAME=Magic-4
:DM_CONTROL=/var/run/xdmctl
:GPG_AGENT_INFO=/tmp/gpg-5z5PUZ/S.gpg-agent:1771:1
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ed5487f9653347fde696e7cd0000000a-1313224529.289269-2108189069
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/caterpillar/.gtkrc-2.0:/home/caterpillar/.gtkrc-2.0-kde4:/home/caterpillar/.kde/share/config/gtkrc-2.0
:GS_LIB=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:USER=caterpillar
:SSH_AUTH_SOCK=/tmp/ssh-tZSQFQ1708/agent.1708
:MAIL=/var/spool/mail/caterpillar
:DESKTOP_SESSION=default
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/caterpillar/bin
:PWD=/home/caterpillar
:KDE_SESSION_UID=500
:KDE_IS_PRELINKED=1
:LANG=it_IT.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/caterpillar
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=oxy-white
:LOGNAME=caterpillar
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-HOZAwllFzL,guid=0172ff5a52056c1d117b501600000112
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/caterpillar
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/caterpillar/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/tmp/kde-caterpillar/xauth-500-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1822,unix/unix:/tmp/.ICE-unix/1822
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/caterpillar/.gtkrc::/home/caterpillar/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=Magic-4;1313227980;350720;1864_TIME3725377
:MOZILLA_FIVE_HOME=/usr/lib64/xulrunner-2
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/../lib/amd64
Comment 1 Germano Massullo 2011-08-13 10:55:56 EDT
Created attachment 518147 [details]
File: maps
Comment 2 Germano Massullo 2011-08-13 10:55:58 EDT
Created attachment 518148 [details]
File: dso_list
Comment 3 Germano Massullo 2011-08-13 10:56:05 EDT
Created attachment 518149 [details]
File: backtrace
Comment 4 Germano Massullo 2011-08-13 10:58:05 EDT
I was importing JSON source files taken from http://www.json.org into an existing project. I did import->file system, then selected all of them, and when the import finished, Eclipse crashed.
Comment 5 Germano Massullo 2011-08-27 16:05:08 EDT
Package: java-1.6.0-openjdk-1.6.0.0-59.1.10.3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I was importing a project in Eclipse when Eclipse crashed and I got this crash report
Comment 6 Deepak Bhole 2011-08-29 09:43:23 EDT
Is this reproducible?
Comment 7 Germano Massullo 2011-08-29 12:35:00 EDT
yes
Comment 8 Marek Michał Mazur 2011-09-04 10:08:25 EDT
Package: java-1.6.0-openjdk-1.6.0.0-59.1.10.3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
While closing Eclipse Indigo
Comment 9 Marek Michał Mazur 2011-09-15 17:45:58 EDT
Package: java-1.6.0-openjdk-1.6.0.0-59.1.10.3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Using Eclipse Indigo.
Comment 10 Oded Arbel 2011-09-22 01:36:26 EDT
Package: java-1.6.0-openjdk-1.6.0.0-59.1.10.3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
started Eclipse. It froze for a few seconds, then crashed
Comment 11 Kevin Brightwell 2011-09-26 00:05:52 EDT
Package: java-1.6.0-openjdk-1.6.0.0-59.1.10.3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Used WEBCT located at webct.uwo.ca, created crash.
Comment 12 Deepak Bhole 2011-09-26 15:14:33 EDT
Can anyone (who is encountering this) also attach the corresponding hs_err file please? I suspect this might be an SWT/WebKit issue, but would need to see the hs_err file to verify.
Comment 13 Germano Massullo 2011-09-26 18:48:33 EDT
how can we find it? Is it very strange to report through ABRT
Comment 14 Marek Michał Mazur 2011-09-26 18:58:27 EDT
Created attachment 525008 [details]
hs_err log with info about bug
Comment 15 Marek Michał Mazur 2011-09-26 19:01:47 EDT
(In reply to comment #12)
> Can anyone (who is encountering this) also attach the corresponding hs_err file
> please? I suspect this might be an SWT/WebKit issue, but would need to see the
> hs_err file to verify.

If you really find this information helpfull - post bug report about abrt.

Abrt really isn't a tool for users but for developers and this in your interest to take care about its usability.
Comment 16 Deepak Bhole 2011-09-26 19:54:15 EDT
(In reply to comment #15)
> (In reply to comment #12)
> > Can anyone (who is encountering this) also attach the corresponding hs_err file
> > please? I suspect this might be an SWT/WebKit issue, but would need to see the
> > hs_err file to verify.
> 
> If you really find this information helpfull - post bug report about abrt.
> 
> Abrt really isn't a tool for users but for developers and this in your interest
> to take care about its usability.

We are already looking into that actually. We will have a fix on the JDK side first (Bug #736000). Once there, we will look into a corresponding  appropriate fix for ABRT..
Comment 17 Deepak Bhole 2011-09-26 19:56:03 EDT
(In reply to comment #14)
> Created attachment 525008 [details]
> hs_err log with info about bug

Thanks for the trace! It confirms that this is an SWT/WebKit issue as there are no JDK classes on stack except for reflection classes.

Reassigning to Eclipse.
Comment 18 Mary Ellen Foster 2012-01-18 06:30:30 EST
I'm seeing this regularly at the moment on my under-powered netbook (don't see it on my desktop) -- is there any hope of a fix?
Comment 19 Mary Ellen Foster 2012-01-18 06:37:51 EST
Seems related to bug 756544 which appears -- weirdly!! -- to be a duplicate of 739743.

IPv6? Really?!?!
Comment 20 Andrew Overholt 2012-01-18 12:41:32 EST
(In reply to comment #18)
> I'm seeing this regularly at the moment on my under-powered netbook (don't see
> it on my desktop) -- is there any hope of a fix?

Do you have a reliable reproducer?  I can try VMs of varying powered-ness to see if I can duplicate it here.
Comment 21 Andrew Overholt 2012-01-18 12:41:51 EST
(In reply to comment #18)
> I'm seeing this regularly at the moment on my under-powered netbook (don't see
> it on my desktop) -- is there any hope of a fix?

Do you have a reliable reproducer?  I can try VMs of varying powered-ness to see if I can duplicate it here.
Comment 22 Alexander Kurtakov 2012-05-21 04:16:37 EDT
No reply for reproducer call for months. Closing. Please reopen when someone provides one. I can't reproduce either.
Comment 23 Deepak Bhole 2014-06-16 09:49:16 EDT
Comment on attachment 525008 [details]
hs_err log with info about bug

This is a log file, not a patch for review, so I am setting review- for the record.

Note You need to log in before you can comment on or make changes to this bug.